jQuery(window).resize(function(){
    ualpToogleColumsInResponsive();
});
jQuery(document).ready(function() {

    jQuery(".chosen-filter").select2({dir: ualpJSObject.is_rtl});

    ualpDisplayUsersBy();

//    jQuery('script').each(function () {
//        var src = jQuery(this).attr('src');
//        if (typeof src !== typeof undefined && src !== false) {
//            if (src.search('bootstrap.js') !== -1 || src.search('bootstrap.min.js') !== -1) {
//                var bootstrapButton = jQuery.fn.button.noConflict();
//                jQuery.fn.bootstrapBtn = bootstrapButton;
//            }
//        }
//    });

    var date = jQuery('#ualp-filter-date').val();
    if(date === 'custom'){
        jQuery('.custom-date').show();
    }else{
        jQuery('.custom-date').hide();
    }
    jQuery('#ualp-filter-date').on('change',function(){
        var date = jQuery(this).val();
        if(date === 'custom'){
            jQuery('.custom-date').fadeIn();
        }else{
            jQuery('.custom-date').fadeOut();
        }
    });

    var start_time = jQuery('.start-date.datepicker').val();

    jQuery('.start-date.datepicker').datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            jQuery('.end-date.datepicker').val("");
            jQuery('.end-date.datepicker').datepicker('option', 'minDate', start_time);
        },
        onSelect: function (date) {
            start_time = jQuery('.start-date.datepicker').val();
            jQuery('.end-date.datepicker').val("");
            jQuery('.end-date.datepicker').datepicker('option', 'minDate', start_time);
        }
    });

    jQuery(".end-date.datepicker").datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            if (jQuery('.start-date.datepicker').val() == "") {
                jQuery('.custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.custom_date_msg').fadeIn('slow');
                jQuery('.end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.custom_date_msg').fadeOut('slow');
                }, '3000');
            }
        },
        onSelect: function (date) {
            if (jQuery('.start-date.datepicker').val() == "") {
                jQuery('.custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.custom_date_msg').fadeIn('slow');
                jQuery('.custom_date_msg').show();
                jQuery('.end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.custom_date_msg').fadeOut('slow');
                }, '3000');
            } else {
                jQuery('.end-date.datepicker').datepicker('option', 'minDate', start_time);

            }
        }
    });


    var login_date = jQuery('#ualp-login-filter-date').val();
    if(login_date === 'custom'){
        jQuery('.custom-login-date').show();
    }else{
        jQuery('.custom-login-date').hide();
    }
    jQuery('#ualp-login-filter-date').on('change',function(){
        var login_date = jQuery(this).val();
        if(login_date === 'custom'){
            jQuery('.custom-login-date').fadeIn();
        }else{
            jQuery('.custom-login-date').fadeOut();
        }
    });

    var login_start_time = jQuery('.login-end-date.datepicker').val();

    jQuery('.login-start-date.datepicker').datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            jQuery('.login-end-date.datepicker').val("");
            jQuery('.login-end-date.datepicker').datepicker('option', 'minDate', login_start_time);
        },
        onSelect: function (date) {
            login_start_time = jQuery('.login-start-date.datepicker').val();
            jQuery('.login-end-date.datepicker').val("");
            jQuery('.login-end-date.datepicker').datepicker('option', 'minDate', login_start_time);
        }
    });

    jQuery(".login-end-date.datepicker").datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            if (jQuery('.login-start-date.datepicker').val() == "") {
                jQuery('.login_custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.login_custom_date_msg').fadeIn('slow');
                jQuery('.login-end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.login_custom_date_msg').fadeOut('slow');
                }, '3000');
            }
        },
        onSelect: function (date) {
            if (jQuery('.login-start-date.datepicker').val() == "") {
                jQuery('.login_custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.login_custom_date_msg').fadeIn('slow');
                jQuery('.login_custom_date_msg').show();
                jQuery('.login-end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.login_custom_date_msg').fadeOut('slow');
                }, '3000');
            } else {
                jQuery('.login-end-date.datepicker').datepicker('option', 'minDate', login_start_time);

            }
        }
    });

    var logout_date = jQuery('#ualp-logout-filter-date').val();
    if(logout_date === 'custom'){
        jQuery('.custom-logout-date').show();
    }else{
        jQuery('.custom-logout-date').hide();
    }
    jQuery('#ualp-logout-filter-date').on('change',function(){
        var logout_date = jQuery(this).val();
        if(logout_date === 'custom'){
            jQuery('.custom-logout-date').fadeIn();
        }else{
            jQuery('.custom-logout-date').fadeOut();
        }
    });

    var logout_start_time = jQuery('.logout-end-date.datepicker').val();

    jQuery('.logout-start-date.datepicker').datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            jQuery('.logout-end-date.datepicker').val("");
            jQuery('.logout-end-date.datepicker').datepicker('option', 'minDate', logout_start_time);
        },
        onSelect: function (date) {
            logout_start_time = jQuery('.logout-start-date.datepicker').val();
            jQuery('.logout-end-date.datepicker').val("");
            jQuery('.logout-end-date.datepicker').datepicker('option', 'minDate', logout_start_time);
        }
    });

    jQuery(".logout-end-date.datepicker").datepicker({
        dateFormat: 'yy-mm-dd',
        change: function (date) {
            if (jQuery('.logout-start-date.datepicker').val() == "") {
                jQuery('.logout_custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.logout_custom_date_msg').fadeIn('slow');
                jQuery('.logout-end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.logout_custom_date_msg').fadeOut('slow');
                }, '3000');
            }
        },
        onSelect: function (date) {
            if (jQuery('.logout-start-date.datepicker').val() == "") {
                jQuery('.logout_custom_date_msg').html('<span class="date_error_msg">' + ualpJSObject.please_select_start_date + '</span>');
                jQuery('.logout_custom_date_msg').fadeIn('slow');
                jQuery('.logout_custom_date_msg').show();
                jQuery('.logout-end-date.datepicker').val("");
                setTimeout(function () {
                    jQuery('.logout_custom_date_msg').fadeOut('slow');
                }, '3000');
            } else {
                jQuery('.logout-end-date.datepicker').datepicker('option', 'minDate', logout_start_time);

            }
        }
    });
    jQuery(".user-activity-log_page_ualp_settings #dialogPassword #deleteLogPassword").keypress(function(e) {
        if (e.which == 13) {
            e.preventDefault();
            validPassword();
        }
    });
    jQuery(".toplevel_page_ual_pro #dialogPassword #deleteLogPassword").keypress(function(e) {
        if (e.which == 13) {
            e.preventDefault();
            validBulkPassword();
        }
    });
    jQuery(".toplevel_page_ual_pro #dialogSinglePassword #deleteSingleLogPassword").keypress(function(e) {
        if (e.which == 13) {
            e.preventDefault();
            validSinglePassword();
        }
    });

    jQuery('.reset_delete_log_passwd').click(function () {
        if (!confirm(ualpJSObject.reset_confirm)) {
            return false;
        }
        var btn = this;
        setTimeout(function () { jQuery(btn).attr('disabled', 'disabled'); }, 1);
        return true;
    });

    jQuery('.ualp_view').on("click", ualpViewAjaxCall);

    var ualp_detail_view = jQuery(".ualp_view_details_ajax").dialog({
        resizable: false,
        autoOpen: false,
        height: "auto",
        width: '700', // overcomes width:'auto' and maxWidth bug
        maxWidth: '100%',
        modal: true,
        draggable: false,
        dialogClass: 'ualp-view-ui-dialog',
        open: function(event, ui) {
            jQuery('.ui-widget-overlay').bind('click', function() {
                ualp_detail_view.dialog("close");
            });
        },
        hide: {
            effect: "fadeOut",
            duration: 500
        },
        close: function() {
            ualp_detail_view.dialog("close");
        }
    });
    jQuery('.ualpFavorite').click(function() {
        var selected = 'yes';
        var logID = jQuery(this).attr('id');
        if (jQuery(this).hasClass('selected')) {
            jQuery(this).removeClass('selected');
            selected = 'no';
            jQuery(this).attr('title', 'No');
        } else {
            jQuery(this).addClass('selected');
            jQuery(this).attr('title', 'Yes');
        }
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'ualpFavoriteLog',
                post: logID,
                featured: selected
            },
            success: function(data) {
                location.reload();
            },
        });
    });
    jQuery('.ualp-session-expire').on('click',function() {
        var userID = jQuery(this).attr('data-user-id');
        var t_session = jQuery(this).attr('data-t_session');
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'ualpSessionExpire',
                userID: userID,
                t_session: t_session
            },
            success: function(data) {
                location.reload();
            },
        });
    });
    
    jQuery('.ualp-session-expire-all').on('click',function() {
        var userID = jQuery(this).attr('data-user-id');
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'ualpSessionExpire',
                userID: userID
            },
            success: function(data) {
                location.reload();
            },
        });
    });
    
    jQuery('.ualp-session-expire-except').on('click',function() {
        var userID = jQuery(this).attr('data-user-id');
        var t_session = jQuery(this).attr('data-t_session');
        jQuery.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'ualpSessionExpire',
                userID: userID,
                t_session: t_session,
                except : 'yes'
            },
            success: function(data) {
                location.reload();
            },
        });
    });

    jQuery('.ualpCheckAllNotify').click(function() {
        if (jQuery(this).is(':checked')) {
            jQuery('input[type="checkbox"].ualpCheckUserNotify').prop('checked', true);
        } else {
            jQuery('input[type="checkbox"].ualpCheckUserNotify').prop('checked', false);
        }
    });

    jQuery('.ualpCheckUserNotify').click(function() {
        if (!jQuery(this).is(':checked')) {
            jQuery('input[type="checkbox"].ualpCheckAllNotify').prop('checked', false);
        }
    });

    ualpToogleColumsInResponsive();

    ualpHookGroup('post_type');
    ualpHookGroup('taxonomy');
    ualpHookGroup('plugin');
    ualpHookGroup('contactForm');
    ualpHookGroup('ualp');
    ualpHookGroup('users');
    ualpHookGroup('theme');
    ualpHookGroup('comment');
    ualpHookGroup('menu');
    ualpHookGroup('view');
    ualpHookGroup('other');
    jQuery('#ualpHookSettings tr.post_type input[type="checkbox"]').click(function() {
        ualpHookGroup('post_type');
    });
    jQuery('#ualpHookSettings tr.taxonomy input[type="checkbox"]').click(function() {
        ualpHookGroup('taxonomy');
    });
    jQuery('#ualpHookSettings tr.plugin input[type="checkbox"]').click(function() {
        ualpHookGroup('plugin');
    });
    jQuery('#ualpHookSettings tr.contactForm input[type="checkbox"]').click(function() {
        ualpHookGroup('contactForm');
    });
    jQuery('#ualpHookSettings tr.ualp input[type="checkbox"]').click(function() {
        ualpHookGroup('ualp');
    });
    jQuery('#ualpHookSettings tr.users input[type="checkbox"]').click(function() {
        ualpHookGroup('users');
    });
    jQuery('#ualpHookSettings tr.theme input[type="checkbox"]').click(function() {
        ualpHookGroup('theme');
    });
    jQuery('#ualpHookSettings tr.comment input[type="checkbox"]').click(function() {
        ualpHookGroup('comment');
    });
    jQuery('#ualpHookSettings tr.menu input[type="checkbox"]').click(function() {
        ualpHookGroup('menu');
    });
    jQuery('#ualpHookSettings tr.view input[type="checkbox"]').click(function() {
        ualpHookGroup('view');
    });
    jQuery('#ualpHookSettings tr.other input[type="checkbox"]').click(function() {
        ualpHookGroup('other');
    });
    jQuery('#ualpHookSettings tr.groupHeader input[type="checkbox"]').click(function() {
        var hookGroup = jQuery(this).attr('data-hookGroup');
        if (jQuery(this).is(':checked')) {
            jQuery('#ualpHookSettings .' + hookGroup + ' input[type="checkbox"]').prop('checked', true);
        } else {
            jQuery('#ualpHookSettings .' + hookGroup + ' input[type="checkbox"]').prop('checked', false);
        }
    });
    jQuery('#ualpHookSettings input[name="hook[]"]').click(function() {
        var object_type = jQuery(this).attr('data-type');
        if (!jQuery(this).is(':checked')) {
            alert(ualpJSObject.note_for_uncheck+' ' + object_type);
        }
    });
    jQuery('#activity-filter #check input[type="checkbox"]').click(function() {
        if (jQuery(this).is(':checked')) {
            jQuery('#activity-filter input[type="checkbox"]').prop('checked', true);
        } else {
            jQuery('#activity-filter input[type="checkbox"]').prop('checked', false);
        }
    });
    var Count = 0;
    var Check = 0;
    var Uncheck = 0;
    jQuery('.toplevel_page_ual_pro #activity-filter input[name="chkual[]"]').each(function() {
        Count++;
        if (jQuery(this).is(':checked')) {
            Check++;
        } else {
            Uncheck++;
        }
    });
    jQuery('.toplevel_page_ual_pro #activity-filter input[name="chkual[]"]').click(function() {
        var Count = 0
        var Check = 0;
        var Uncheck = 0;
        jQuery('.toplevel_page_ual_pro #activity-filter input[name="chkual[]"]').each(function() {
            Count++;
            if (jQuery(this).is(':checked')) {
                Check++;
            } else {
                Uncheck++;
            }
        });
        if (Count == Check) {
            jQuery('#activity-filter th.column-check input[type="checkbox"]').prop('checked', true);
        } else {
            jQuery('#activity-filter th.column-check input[type="checkbox"]').prop('checked', false);
        }
    });
    var pathName = window.location.search;
    var page = pathName.replace('?page=', '');
    if(page === 'ualp_db_integration' &&
            ((window.localStorage.getItem("lasttab") !== 'ualpDBSettings') ||
        (window.localStorage.getItem("lasttab") !== 'ualpDBMigrate'))
        ){
        window.localStorage.setItem("lasttab", 'ualpDBSettings');
        jQuery('.ualpParentTabs .ualpDBSettings').addClass('nav-tab-active');
        jQuery('#ualpDBSettings').show();
    } else if(page !== 'ualp_db_integration' &&
        (window.localStorage.getItem("lasttab") === null) ||
        (window.localStorage.getItem("lasttab") === 'ualpDBSettings') ||
        (window.localStorage.getItem("lasttab") === 'ualpDBMigrate')) {
        window.localStorage.setItem("lasttab", 'ualpHookSettings');
        jQuery('.ualpParentTabs .ualpHookSettings').addClass('nav-tab-active');
        jQuery('#ualpHookSettings').show();
    }
    //settings tab script
    if (window.localStorage.getItem("lasttab") == null ||
        (window.localStorage.getItem("lasttab") !== 'ualpGeneralSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualpUsersSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualpEmailSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualpPwdSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualpUserOptions' &&
        window.localStorage.getItem("lasttab") !== 'ualpCustomEventSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualpLoggedInUsersSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualpHookSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualpDBSettings' &&
        window.localStorage.getItem("lasttab") !== 'ualpDBMigrate'
        )) {
        jQuery('.ualpParentTabs .nav-tab-wrapper a.nav-tab').removeClass('nav-tab-active');
        jQuery('.ualpContentDiv').hide();
        if(page == 'ualp_db_integration'){
            window.localStorage.setItem("lasttab", 'ualpDBSettings');
            jQuery('.ualpParentTabs .ualpDBSettings').addClass('nav-tab-active');
            jQuery('#ualpDBSettings').show();
        } else {
            window.localStorage.setItem("lasttab", 'ualpHookSettings');
            jQuery('.ualpParentTabs .ualpHookSettings').addClass('nav-tab-active');
            jQuery('#ualpHookSettings').show();
        }
    } else {
        jQuery('.ualpParentTabs .nav-tab-wrapper a').removeClass('nav-tab-active');
        jQuery('.' + window.localStorage.getItem("lasttab")).addClass('nav-tab-active');
        jQuery('.ualpContentDiv').hide();
        jQuery('#' + window.localStorage.getItem("lasttab")).show();
    }
    jQuery('.ualpParentTabs .nav-tab-wrapper a').click(function(e) {
        e.preventDefault();
        jQuery('.ualpAdminNotice.is-dismissible').hide();
        var this_tab = jQuery(this);
        var data_href = jQuery(this).attr('data-href');
        jQuery('.ualpContentDiv').hide();
        jQuery('#' + data_href).show();
        jQuery('.nav-tab-wrapper a.nav-tab').removeClass('nav-tab-active');
        this_tab.addClass('nav-tab-active');
        if (window.localStorage) {
            window.localStorage.setItem("lasttab", data_href);
        }
    });
    // Enable email notification start
    if (jQuery('.ualpSettingsForm input[name="rdoualpEnableEmail"]:checked').val() == 0) {
        jQuery('.emailNotificationCover .ui-button.ui-corner-right').addClass('active');
        jQuery('.emailNotificationCover .ui-button.ui-corner-left').removeClass('active');
        jQuery('.ualpSettingsForm .fromEmailTr,.ualpSettingsForm .toEmailTr,.ualpSettingsForm .messageTr,div.selectUserForEmail').hide();
    } else {
        jQuery('.emailNotificationCover .ui-button.ui-corner-left').addClass('active');
        jQuery('.emailNotificationCover .ui-button.ui-corner-right').removeClass('active');
        jQuery('.ualpSettingsForm .fromEmailTr,.ualpSettingsForm .toEmailTr,.ualpSettingsForm .messageTr,div.selectUserForEmail').show();
    }
    jQuery('.ualpSettingsForm input[name="rdoualpEnableEmail"]').click(function() {
        if (jQuery('.ualpSettingsForm input[name="rdoualpEnableEmail"]:checked').val() == 0) {
            jQuery('.emailNotificationCover .ui-button.ui-corner-right').addClass('active');
            jQuery('.emailNotificationCover .ui-button.ui-corner-left').removeClass('active');
            jQuery('.ualpSettingsForm .fromEmailTr,.ualpSettingsForm .toEmailTr,.ualpSettingsForm .messageTr,div.selectUserForEmail').hide();
        } else {
            jQuery('.emailNotificationCover .ui-button.ui-corner-left').addClass('active');
            jQuery('.emailNotificationCover .ui-button.ui-corner-right').removeClass('active');
            jQuery('.ualpSettingsForm .fromEmailTr,.ualpSettingsForm .toEmailTr,.ualpSettingsForm .messageTr,div.selectUserForEmail').show();
        }
    });
    // Enable email notification end
    // For delete all the logs
    jQuery('.pwdErrorMsg').text('');
    jQuery('#setDeleteDataPassword').on('click', function(e) {
        e.preventDefault();
        setLogDeletePassword();
    });
    jQuery('#deleteLogData').on('click', function(e) {
        e.preventDefault();
        passwordDialog();
    });
    jQuery('#setDeletePassword a').click(function(e){
        window.localStorage.setItem("lasttab",'ualpPwdSettings');
    });
    jQuery('.setDeletePassword').on('click', function(e) {
        e.preventDefault();
        setLogDeletePassword();
    });
    jQuery('.deleteSingleLog').on('click', function(e) {
        e.preventDefault();
        passwordSingleDialog();
        jQuery('.deleteSingleLog').removeClass('currentlyDelete');
        jQuery(this).addClass('currentlyDelete');
    });
    jQuery('.ualpSettingsForm a.deleteLog').click(function(){
        var confirmmessage = confirm("Are you sure to delete this record?");
        if (confirmmessage == true){
            return true;
        } else{
            return false;
        }
    });
    
    jQuery('.ualpSettingsForm input[id="doaction"]').click(function(){
        var bulkid = jQuery('.ualpSettingsForm input[name="id[]"]:checked').length;
        if(bulkid == 0){
            var confirmmessage = confirm("Please select records");
            if (confirmmessage == true){
                return true;
            } else {
                return false;
            }
        } else {
            var confirmmessage = confirm("Are you sure to delete selected records?");
            if (confirmmessage == true){
                return true;
            } else{
                return false;
            }
        }
       
    });
    
    jQuery('.frm-user-activity input[name="bulk_action"],#activity-filter input[name="bulk_action"]').on('click', function(e) {
        var i = 0;
        var logid = [];
        jQuery('.frm-user-activity input.cb-bulk-delete:checked,#activity-filter td.column-check input:checked').each(function() {
            logid[i++] = jQuery(this).val();
        });
        if (jQuery('.deleteBulkLog').val() == 'delete') {
            e.preventDefault();
            if (logid.length <= 0) {
                alert(ualpJSObject.log_delete);
            } else {
                passwordBulkDialog();
            }
        }
        if (jQuery('.setBulkDeletePassword').val() == 'delete') {
            e.preventDefault();
            setLogDeletePassword();
        }
    });


    jQuery('body #ualpPwdSettings').on('keyup', 'input[name=password], input[name=repeatPassword]', function() {
        var size = jQuery(this).val();
        size = size.length;
        if (size > 0) {
            ualpChkPwdStrength(
                jQuery('input[name=password]'),
                jQuery('input[name=repeatPassword]'),
                jQuery('#pass-strength-result'),
                jQuery('input[name=btnSetPassword]'), [adminPwd] // blacklisted words which should not be a part of the password
            );
        }
        if (size < 1) {
            jQuery('#pass-strength-result').hide();
        } else {
            jQuery('#pass-strength-result').show();
        }
    });
    jQuery('body #ualpPwdSettings').on('keyup', 'input[name=newPassword], input[name=repeatNewPassword]', function() {
        var size = jQuery(this).val();
        size = size.length;
        if (size > 0) {
            ualpChkPwdStrength(
                jQuery('input[name=newPassword]'),
                jQuery('input[name=repeatNewPassword]'),
                jQuery('#change-pass-strength-result'),
                jQuery('input[name=btnSetPassword]'), [adminPwd, currentpwd] // blacklisted words which should not be a part of the password
            );
        }
        if (size < 1) {
            jQuery('#change-pass-strength-result').hide();
        } else {
            jQuery('#change-pass-strength-result').show();
        }
    });
});

function downloadBulkLogFile() {
    jQuery('.loader').show();
    jQuery('.pwdErrorMsg').text('');
    jQuery('#deleteLogPassword').val('');
    var downloadLogs = false;
    var sendLog = false;
    downloadFormat = jQuery('input[name="downloadLogs"]:checked').val();
    if (jQuery('input[name="downloadLogs"]').prop("checked")) {
        downloadLogs = true;
    }
    if (jQuery('input[name="sendLog"]').prop("checked")) {
        sendLog = true;
    }
    var i = 0;
    var logid = [];
    jQuery('.toplevel_page_ual_pro #activity-filter input[name="chkual[]"]:checked').each(function() {
        logid[i++] = jQuery(this).val();
    });
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'downloadBulkLog',
            downloadLogs: downloadLogs,
            sendLog: sendLog,
            logid: logid
        },
        success: function(data) {
            jQuery('.loader').hide();
            if (data == '') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.select_option_for_delete_log);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogs') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_log_delete_success);
                location.reload();
            }
            if (data == 'mailnotsent') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.email_send_error);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogsmailnotsent') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_error_email);
                location.reload();
            }
            if (data == 'sendLog') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.email_send_and_delete_success);
                location.reload();
            }
            if (data == 'downloadLogssendLog') {
                alert(ualpJSObject.file_save_email_send_and_success_delete_log);
                location.reload();
            }
        },
    });
}
function validBulkPassword() {
    jQuery('.pwdErrorMsg').text('');
    password = jQuery('#deleteLogPassword').val();
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'compareLogPassword',
            logPwd: password
        },
        success: function(data) {
            if (data == 'valid') {
                downloadBulkDialog();
                pwddialog.dialog("close");
            } else {
                jQuery('.pwdErrorMsg').text(ualpJSObject.enter_valid_pwd);
            }
        },
    });
}
function downloadBulkDialog() {
    jQuery('.pwdErrorMsg').text('');
    downloadDialogbox = jQuery("#dialogDownload").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                    downloadBulkLogFile();
                    downloadDialogbox.dialog("close");
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    downloadDialogbox.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                downloadDialogbox.dialog("close");
            });
        },
        close: function() {
            downloadDialogbox.dialog("close");
        }
    });
}
function passwordBulkDialog() {
    jQuery('.pwdErrorMsg').text('');
    pwddialog = jQuery("#dialogPassword").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                    validBulkPassword();
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    pwddialog.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                pwddialog.dialog("close");
            });
        },
        close: function() {
            pwddialog.dialog("close");
        }
    });
}
function downloadLogFile() {
    jQuery('.pwdErrorMsg').text('');
    jQuery('.loader').show();
    var downloadLogs = false;
    var sendLog = false;
    downloadFormat = jQuery('input[name="downloadLogs"]:checked').val();
    if (jQuery('input[name="downloadLogs"]').prop("checked")) {
        downloadLogs = true;
    }
    if (jQuery('input[name="sendLog"]').prop("checked")) {
        sendLog = true;
    }
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'downloadLogFile',
            downloadLogs: downloadLogs,
            sendLog: sendLog
        },
        success: function(data) {
            jQuery('.loader').hide();
            if (data == '') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.select_option_delete_log);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogs') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_success);
                location.reload();
            }
            if (data == 'mailnotsent') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.email_send_error);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogsmailnotsent') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_error_email);
                location.reload();
            }
            if (data == 'sendLog') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.email_send_and_log_delete);
                location.reload();
            }
            if (data == 'downloadLogssendLog') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_send_email);
                location.reload();
            }
        },
    });
}
function validPassword() {
    jQuery('.pwdErrorMsg').text('');
    password = jQuery('#deleteLogPassword').val();
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'compareLogPassword',
            logPwd: password
        },
        success: function(data) {
            if (data == 'valid') {
                downloadDialog();
                pwddialog.dialog("close");
            } else {
                jQuery('.pwdErrorMsg').text(ualpJSObject.enter_valid_pwd);
            }
        },
    });
}
function downloadDialog() {
    jQuery('.pwdErrorMsg').text('');
    downloadDialogbox = jQuery("#dialogDownload").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                   downloadLogFile();
                    downloadDialogbox.dialog("close");
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    downloadDialogbox.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                downloadDialogbox.dialog("close");
            });
        },
        close: function() {
            downloadDialogbox.dialog("close");
        }
    });
}
function passwordDialog() {
    jQuery('.pwdErrorMsg').text('');
    pwddialog = jQuery("#dialogPassword").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                    validPassword();
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    pwddialog.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                pwddialog.dialog("close");
            });
        },
        close: function() {
            pwddialog.dialog("close");
        }
    });
}
function setLogDeletePassword() {
    var setpwddialog;
    setpwddialog = jQuery("#setDeletePassword").dialog({
        resizable: false,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        close: function() {
            setpwddialog.dialog("close");
        }
    });
}
function downloadSingleLogFile() {
    jQuery('.pwdErrorMsg').text('');
    jQuery('.loader').show();
    jQuery('#deleteLogPassword').val('');
    var downloadLogs = false;
    var sendLog = false;
    downloadFormat = jQuery('input[name="downloadLogs"]:checked').val();
    if (jQuery('input[name="downloadLogs"]').prop("checked")) {
        downloadLogs = true;
    }
    if (jQuery('input[name="sendLog"]').prop("checked")) {
        sendLog = true;
    }
    var logid = jQuery('.currentlyDelete').attr('data-id');
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'downloadSingleLog',
            downloadLogs: downloadLogs,
            sendLog: sendLog,
            logid: logid
        },
        success: function(data) {
            jQuery('.loader').hide();
            if (data == '') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.select_option_for_delete_log);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogs') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_log_delete_success);
                location.reload();
            }
            if (data == 'mailnotsent') {
                jQuery('#dialogDownload p.pwdErrorMsg').html(ualpJSObject.email_send_error);
                downloadDialogbox.dialog("open");
            }
            if (data == 'downloadLogsmailnotsent') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_and_error_email);
                location.reload();
            }
            if (data == 'sendLog') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.email_send_and_delete_success);
                location.reload();
            }
            if (data == 'downloadLogssendLog') {
                downloadDialogbox.dialog("close");
                alert(ualpJSObject.file_save_email_send_and_success_delete_log);
                location.reload();
            }
        },
    });
}
function validSinglePassword() {
    jQuery('.pwdErrorMsg').text('');
    password = jQuery('#deleteSingleLogPassword').val();
    jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
            action: 'compareLogPassword',
            logPwd: password
        },
        success: function(data) {
            if (data == 'valid') {
                downloadSingleDialog();
                pwddialog.dialog("close");
            } else {
                jQuery('.pwdErrorMsg').text(ualpJSObject.enter_valid_pwd);
            }
        },
    });
}
function downloadSingleDialog() {
    jQuery('.pwdErrorMsg').text('');
    downloadDialogbox = jQuery("#dialogDownload").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                   downloadSingleLogFile();
                   downloadDialogbox.dialog("close");
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    downloadDialogbox.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                downloadDialogbox.dialog("close");
            });
        },
        close: function() {
            downloadDialogbox.dialog("close");
        }
    });
}
function passwordSingleDialog() {
    jQuery('.pwdErrorMsg').text('');
    pwddialog = jQuery("#dialogSinglePassword").dialog({
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        draggable: false,
        buttons: [
            {
                text: ualpJSObject.submit,
                click: function() {
                    validSinglePassword();
                }
                },{
                text: ualpJSObject.cancel,
                click: function() {
                    pwddialog.dialog("close");
                }
            }
        ],
        open: function() {
            jQuery('.ui-dialog-buttonpane').find('button:contains("Submit")').addClass('SubmitButtonClass');
            jQuery('.ui-widget-overlay').bind('click', function() {
                pwddialog.dialog("close");
            });
        },
        close: function() {
            pwddialog.dialog("close");
        }
    });
}
function ualpViewAjaxCall() {
    var logID = jQuery(this).attr('data-view');
    jQuery.ajax({
        url: ajaxurl,
        data: {
            action: 'viewDetailLog',
            logID: logID,
        },
        method: 'POST',
        beforeSend: function() {
            jQuery(".ualp_view_details_ajax").dialog('open');
        },
        success: function(data) {
            jQuery('.ualp_view_details_ajax').html(data);
        }
    });
}
function ualpChkPwdStrength($pwd, $confirmPwd, $strengthStatus, $submitBtn, blacklistedWords) {
    var pwd = $pwd.val();
    var confirmPwd = $confirmPwd.val();
    blacklistedWords = blacklistedWords.concat(wp.passwordStrength.userInputBlacklist())
    $strengthStatus.removeClass('short bad good strong');
    var pwdStrength = wp.passwordStrength.meter(pwd, blacklistedWords, confirmPwd);
    switch (pwdStrength) {
        case 2:
            $submitBtn.attr('disabled', 'disabled');
            $strengthStatus.addClass('bad').html('bad');
            break;
        case 3:
            $submitBtn.attr('disabled', 'disabled');
            $strengthStatus.addClass('good').html('good');
            break;
        case 4:
            $submitBtn.removeAttr('disabled');
            $strengthStatus.addClass('strong').html('strong');
            break;
        case 5:
            $submitBtn.attr('disabled', 'disabled');
            $strengthStatus.addClass('short').html('mismatch');
            break;
        default:
            $submitBtn.attr('disabled', 'disabled');
            $strengthStatus.addClass('short').html('not valid');
    }
}
function ualpHookGroup(hook) {
    var taxonomyCount = 0;
    var taxonomyCheck = 0;
    var taxonomyUncheck = 0;
    jQuery('#ualpHookSettings tr.' + hook + ' input[type="checkbox"]').each(function() {
        taxonomyCount++;
        if (jQuery(this).is(':checked')) {
            taxonomyCheck++;
        } else {
            taxonomyUncheck++;
        }
    });
    if (taxonomyCount == taxonomyCheck) {
        jQuery('#ualpHookSettings input[data-hookGroup="' + hook + '"]').prop('checked', true);
    } else {
        jQuery('#ualpHookSettings input[data-hookGroup="' + hook + '"]').prop('checked', false);
    }
}

function ualpDisplayUsersBy(){
    var display_cat = jQuery('.ualpSelectDisplayCat').val();
    if(display_cat === 'roles'){
        jQuery('.rolesList').show();
        jQuery('.usersList').hide();
        jQuery('#ualpUserOptions .button-primary').attr('name','btnUntrackRoles');

    }else{
        jQuery('.rolesList').hide();
        jQuery('.usersList').show();
        jQuery('#ualpUserOptions .button-primary').attr('name','btnUntrackUsers');
    }
}

function ualpToogleColumsInResponsive(){
    var windowWidth = jQuery(window).width();
    var responsive = false;
    var title = '';
    if (windowWidth < 783) {
        responsive = true;
    }
    jQuery('#the-list tr').each(function() {
        title = jQuery(this).find('td.title.column-title').text();
        if(responsive == true) {
            jQuery(this).find('td.check').find('span').remove();
            jQuery(this).find('td.check input').after('<span>'+title+'</span>');
        } else {
            jQuery(this).find('td.check').find('span').remove();
        }
    });
}