<?php
/*
 * Exit if accessed directly
 */
if (!defined('ABSPATH')) {
    exit;
}

/**
 * DB Integrations
 */
if (!function_exists('ualpDbIntegration')) {

    function ualpDbIntegration() {
        ?>
        <div class="wrap">
            <h1><?php esc_html_e('External Database Integrations', 'user_activity_log_pro'); ?></h1>
            <?php
            if (isset($_SESSION['success_msg'])) { ?>
                <div class="success_msg"><?php
                    ualpAdminNoticeMessage("updated", $_SESSION['success_msg']);
                    unset($_SESSION['success_msg']);
                    ?>
                </div><?php
            }?>
            <div class="tab_parent_parent ualpParentTabs">
                <h2 class="nav-tab-wrapper nav-tab-wrapper">
                    <a class="nav-tab nav-tab-active ualpDBSettings" data-href="ualpDBSettings" href="javascript:void(0)" >
                        <?php esc_html_e('Database Integrations Options', 'user_activity_log_pro'); ?>
                    </a>
                    <a class="nav-tab nav-tab-active ualpDBMigrate" data-href="ualpDBMigrate" href="javascript:void(0)" >
                        <?php esc_html_e('Database Migration', 'user_activity_log_pro'); ?>
                    </a>
                </h2>
            </div>
            <div class="ualpTabContentWrap">
                <div id="ualpDBSettings" class="ualpContentDiv"><?php ualpDBSettings(); ?></div>
                <div id="ualpDBMigrate" class="ualpContentDiv"><?php ualpDBMigrate(); ?></div>
            </div>
        </div>
        <?php
    }

}