<?php
/**
 * Exit if accessed directly
 */
if (!defined('ABSPATH')) {
    exit;
}

/*
 * filter to add bbPress options
 * @param array $ualp_options_array options array
 * @param array $ualp_options_array filtered options array
 */
function ualpBbpressOptions($ualp_options_array) {
    $logHookList = get_option('enableLogHookList');
    if(in_array('bbpress_settings', $logHookList)) {
        $whitelist_options_array = array('_bbp_edit_lock','_bbp_throttle_time','_bbp_allow_anonymous','_bbp_allow_global_access','_bbp_default_role','_bbp_allow_revisions','_bbp_enable_favorites','_bbp_enable_subscriptions','_bbp_allow_topic_tags','_bbp_allow_search','_bbp_use_wp_editor','_bbp_use_autoembed','_bbp_allow_threaded_replies','_bbp_thread_replies_depth','_bbp_topics_per_page','_bbp_replies_per_page','_bbp_topics_per_rss_page','_bbp_replies_per_rss_page','_bbp_root_slug','_bbp_include_root','_bbp_show_on_root','_bbp_forum_slug','_bbp_topic_slug','_bbp_topic_tag_slug','_bbp_view_slug','_bbp_reply_slug','_bbp_search_slug','_bbp_user_slug','_bbp_topic_archive_slug','_bbp_reply_archive_slug','_bbp_user_favs_slug','_bbp_user_subs_slug');
        $ualp_options_array = array_merge($ualp_options_array,$whitelist_options_array);
    }
    return $ualp_options_array;
}
add_filter('ualp_options_array','ualpBbpressOptions',10);